Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.javabean
Class BeanProperty

    java.lang.Object
      com.thoughtworks.xstream.converters.javabean.BeanProperty

Deprecated. since 1.3.1, no longer in use

    public class BeanProperty

extends Object

Provide access to a bean property.

Author:
  Andrea Aime

Field Summary
`protected Method` | `getter` Deprecated. the getter

Constructor Summary
`BeanProperty(Class memberClass, String propertyName, Class propertyType)` Deprecated. Creates a new `BeanProperty`that gets the specified property from the specified class.

Method Summary
`Object` | `get(Object member)` Deprecated. Gets the value of this property for the specified Object.
`Class` | `getBeanClass()` Deprecated. Gets the base class that this getter accesses.
`String` | `getName()` Deprecated. Gets the name of the property that this getter extracts.
`Class` | `getType()` Deprecated. Returns the property type
`boolean` | `isReadable()` Deprecated. Gets whether this property can get get.
`boolean` | `isWritable()` Deprecated. Gets whether this property can be set.
`Object` | `set(Object member, Object newValue)` Deprecated. Sets the value of this property for the specified Object.
`void` | `setGetterMethod(Method method)` Deprecated.
`void` | `setSetterMethod(Method method)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### getter

    protected Method getter

  Deprecated.
  the getter

Constructor Detail

### BeanProperty

    public BeanProperty(Class memberClass,
                        String propertyName,
                        Class propertyType)

  Deprecated.
  Creates a new `BeanProperty`that gets the specified property from the specified class.

Method Detail

### getBeanClass

    public Class getBeanClass()

  Deprecated.
  Gets the base class that this getter accesses.

### getType

    public Class getType()

  Deprecated.
  Returns the property type

### getName

    public String getName()

  Deprecated.
  Gets the name of the property that this getter extracts.

### isReadable

    public boolean isReadable()

  Deprecated.
  Gets whether this property can get get.

### isWritable

    public boolean isWritable()

  Deprecated.
  Gets whether this property can be set.

### get

    public Object get(Object member)
               throws IllegalArgumentException,
                      IllegalAccessException

  Deprecated.
  Gets the value of this property for the specified Object.

  Throws:
    `IllegalAccessException`
    `IllegalArgumentException`

### set

    public Object set(Object member,
                      Object newValue)
               throws IllegalArgumentException,
                      IllegalAccessException

  Deprecated.
  Sets the value of this property for the specified Object.

  Throws:
    `IllegalAccessException`
    `IllegalArgumentException`

### setGetterMethod

    public void setGetterMethod(Method method)

  Deprecated.
  Parameters:
    `method` -

### setSetterMethod

    public void setSetterMethod(Method method)

  Deprecated.
  Parameters:
    `method` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.